cURL
curl --request PUT \ --url https://api.dualship.run/api/v1/projects/{id}/secrets/{key} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace-Id: <x-workspace-id>' \ --data ' { "is_secret": true, "value": "<string>" } '
{ "is_secret": true, "key": "API_KEY", "value": "" }
Update an existing secret
Documentation IndexFetch the complete documentation index at: https://docs.dualship.run/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
Use this file to discover all available pages before exploring further.
JWT Bearer token authentication
Workspace ID
Project ID
Secret Key
Secret details
Secret updated
true
"API_KEY"
""
Was this page helpful?